﻿* Encoding: UTF-8.
SYNTAX FOR THE FELIWI DATASET OF THE MULTI-STUDY PAPER. 

Outcomes: 
        1. Difficulty of FS tasks
        2. Time spent on tasks
        3. Emotions during FS tasks

We look at: 
       1. Descriptive statistics
       2. Correlations between outcomes
       3. Difficulty of FS tasks: difference depending on POLARITY (desired,undesired) and SENSE (visual, verbal)
       4. Time spent on tasks: difference depending on POLARITY (desired,undesired) and SENSE (visual, verbal)
       5. Affective response to task: difference depending on POLARITY (desired,undesired)
       
---------------------------------------------------
CONCLUSIONS FELIWI ANALYSES
----------------------------------------------------.

DIFFICULTY ANALYSES: 
    N.s. two-way interaction between polarity and element, F(1.88,161,25) = 0.29, p = .736, eta square = .003.
    There is a significant main effect of element, F(1.94,166,81) = 7.70, p < .001, eta square = .082. 
    Pairwise comparisons reveal that searching for pictures summarizing the FS was experienced as more difficult than envisioning the future-selves, delta = -0.84, 95% CI [-1.38, -0.30].
    There was no significant difference in experienced difficulty between the other elements.  

AFFECTIVE RESPONSE ANALYSIS: 
    The desired FS task elicited significantly more happiness than the undesired FS task, F(1,86) = 141.58, p < .001, eta square = .622.
    The undesired FS task elicited significantly more anger (F(1,86) = 61.14, p < .001, eta square = .416), sadness (F(1,86) = 66.31, p < .001, eta square = .435), and anxiety (F(1,86) = 21.60, p < .001, eta square = .201).

TIME SPENT ON TASKS ANALYSES:
    There is no sig. interaction effect of polarity and sense, F(1,81) = 0.74, P = .391, eta square = .009. 
    There is a sig. main effect of sense, F(1,81) = 5.18, p = .025, eta square = .060.
        Pairwise comparisons reveal that participants spent significantly more time on the verbal task, delta = 1.26, SE = .552, 95% CI [0.16,2.36], p = .025. 
    There is also a sig. main effect of polatiry, F(1,81) = 23.81, p < .001, eta square = .227. 
        Pairwise comparisons reveal that participants spent significantly more time on the continued smoker task, delta = 2.16, SE = .443, 95% CI [1.28, 3.04], p < .001. 
            
--------------
SET-UP
--------------.
*The current dataset was created with only the people who completed the intervention using the filter below (n = 87).   
USE ALL.
COMPUTE filter_$=(interventie_gedaan = 1).
VARIABLE LABELS filter_$ 'interventie_gedaan = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

---------------------------------------------
RECODE CERTAIN VARIABLES
---------------------------------------------.
*Recode number of cigarettes to match the categories in Nease. 
RECODE Rook_per_dag (1=1) (2=2) (3=2) (4=2) (5=2) (6=3) (7=3) (8=3) (9=3) (10=3) (11=4) (12=4) 
    (13=4) (14=4) (15=4) (16=4) (17=4) (18=4) (19=4) (20 thru Highest=5) INTO Recoded_Rook_per_dag.
VARIABLE LABELS  Recoded_Rook_per_dag 'Hoeveel mensen per dag roken opnieuw gecodeerd zoals Nele'.
EXECUTE.
*Combine difficulty score of the two writing tasks (writing whole sentences of only keywords about the envisioned FS. The two were combined because the tasks are both verbal and we are not interested in differences between two verbal tasks. 
COMPUTE IdealDVerbal=(IdealDifWrite+IdealDifKey)/2.
VARIABLE LABELS  IdealDVerbal "Difficulty - 'successvol gestopt' - schrijven combi".
EXECUTE.
COMPUTE FearedDVerbal=(FearedDifWrite+FearedDifKey)/2.
VARIABLE LABELS  FearedDVerbal "Difficulty - 'blijven roken' - schrijven combi".
EXECUTE.
*Mirror difficulty scores so that a higher score reflects greater experienced difficulty. 
RECODE IdealDifImagine IdealDifPicture IdealDVerbal FearedDifImagine FearedDifPicture FearedDVerbal 
    (1=7) (2=6) (3=5) (5=3) (6=2) (7=1).
EXECUTE.
*Grand mean for time spent. 
COMPUTE Grand_mean_time_spent=(TijdIdealVisualM+TijdIdealVerbalM+TijdFearedVisualM+
    TijdFearedVerbalM)/4.
VARIABLE LABELS  Grand_mean_time_spent 'Grand mean time spent on FS tasks'.
EXECUTE.
*Grand mean difficulty score. 
COMPUTE Grand_mean_difficulty=(IdealDifImagine+IdealDifPicture+IdealDVerbal+FearedDifImagine+
    FearedDifPicture+FearedDVerbal)/6.
VARIABLE LABELS  Grand_mean_difficulty 'Grand mean time spent on FS tasks'.
EXECUTE.
*Mean happiness. 
COMPUTE Grand_mean_happiness=(Ideal_blij+Feared_blj)/2.
VARIABLE LABELS  Grand_mean_happiness 'Grand mean happiness on FS tasks'.
EXECUTE.
*Mean sadness. 
COMPUTE Grand_mean_sadness=(Ideal_bedroefd+Feared_bedroefd)/2.
VARIABLE LABELS  Grand_mean_sadness 'Grand mean sadness on FS tasks'.    
EXECUTE.
*Mean anxiety. 
COMPUTE Grand_mean_anger=(Ideal_boos+Feared_boos)/2.
VARIABLE LABELS  Grand_mean_anger 'Grand mean anxiety on FS tasks'.
EXECUTE.
*Mean anger.  
COMPUTE Grand_mean_anxiety=(Ideal_bang+Feared_bang)/2.
VARIABLE LABELS  Grand_mean_anxiety 'Grand mean anxiety on FS tasks'.
EXECUTE.
----------------------------------------
DESCRIPTIVE STATISTICS
----------------------------------------.
DESCRIPTIVES VARIABLES= leeftijd 
  /STATISTICS=MEAN STDDEV MIN MAX.
FREQUENCIES VARIABLES=Geslacht SES Recoded_Rook_per_dag
  /ORDER=ANALYSIS.
DESCRIPTIVES VARIABLES=IdealDifImagine IdealDifPicture IdealDVerbal FearedDVerbal FearedDifImagine 
    FearedDifPicture Ideal_blij Ideal_bang Ideal_bedroefd Ideal_boos Feared_blj Feared_bang 
    Feared_bedroefd Feared_boos Grand_mean_time_spent Grand_mean_difficulty Grand_mean_happiness Grand_mean_sadness
    Grand_mean_anger Grand_mean_anxiety
  /STATISTICS=MEAN STDDEV MIN MAX.
*Difficulty --> searching for images least difficult for desired and undesired. Other three quite similar although all means slightly lower for undesired task.
*Emotions -->  what jumps out: happy during successfully quit task, afraid/sad/angry during continued smoker task.
*Time spent --> Most time on successfully quit visual task, followed by continued smoker visual. 

Descriptive Statistics					
	                                                                         N	Minimum	Maximum	Mean	Std. Deviation
Difficulty - 'succesvol gestopt' - Voorstellen	87	1	7	3,24	1,677
Difficulty - 'succesvol gestopt' - Afbeeldingen zoeken	87	1	7	4,13	1,975
Difficulty - 'succesvol gestopt' - schrijven combi	87	1	7	3,91	1,714
Difficulty - 'blijven roken' - schrijven combi	87	1	7	3,95	1,610
Difficulty - 'blijven roken' - Voorstellen	                        87	1	7	3,47	1,777
Difficulty - 'blijven roken' - Afbeeldingen zoeken	87	1	7	4,26	1,997
Feelings - succesvol bent gestopt - blij	                        87	1	5	4,06	,867
Feelings - succesvol bent gestopt - bang	87	1	5	2,55	1,118
Feelings - succesvol bent gestopt - bedroefd	87	1	5	2,24	1,089
Feelings - succesvol bent gestopt - boos	87	1	5	1,98	1,045
Feelings - blijven roken - blij	                        87	1	5	1,97	,994
Feelings - blijven roken - bang	                        87	1	5	3,32	1,017
Feelings - blijven roken - bedroefd	                        87	1	5	3,77	1,042
Feelings - blijven roken - boos	                        87	1	5	3,37	1,202
Grand mean time spent on FS tasks	                        87	,58	56,11	6,6369	8,29635
Grand mean difficulty on FS tasks	                        87	1,00	7,00	3,8276	1,01862
Grand mean happiness on FS tasks	                        87	1,00	4,00	3,0115	,44446
Grand mean sadness on FS tasks	                        87	1,50	5,00	3,0057	,60758
Grand mean anxiety on FS tasks	                        87	1,00	5,00	2,6724	,76184
Grand mean anxiety on FS tasks	                        87	1,50	5,00	2,9368	,73850
Valid N (listwise)	87				

--------------------------
HISTOGRAMS
--------------------------.
Normal distributions unless otherwise stated.

GRAPH
  /HISTOGRAM(NORMAL)=IdealDifImagine.
GRAPH
  /HISTOGRAM(NORMAL)=IdealDifPicture.
GRAPH
  /HISTOGRAM(NORMAL)=IdealDVerbal.
GRAPH
  /HISTOGRAM(NORMAL)=FearedDifImagine.
GRAPH
  /HISTOGRAM(NORMAL)=FearedDifPicture.
GRAPH
  /HISTOGRAM(NORMAL)=FearedDVerbal.
GRAPH
  /HISTOGRAM(NORMAL)=Ideal_blij.
GRAPH
  /HISTOGRAM(NORMAL)=Ideal_bang.
GRAPH
  /HISTOGRAM(NORMAL)=Ideal_bedroefd.
GRAPH
  /HISTOGRAM(NORMAL)=Ideal_boos.
GRAPH
  /HISTOGRAM(NORMAL)=Feared_blj.
GRAPH
  /HISTOGRAM(NORMAL)=Feared_bang.
GRAPH
  /HISTOGRAM(NORMAL)=Feared_bedroefd.
GRAPH
  /HISTOGRAM(NORMAL)=Feared_boos.
*All below four are skwewed to the right so there is an/are outlier(s). 
GRAPH
  /HISTOGRAM(NORMAL)=TijdIdealVisualM.
GRAPH
  /HISTOGRAM(NORMAL)=TijdIdealVerbalM.
GRAPH
  /HISTOGRAM(NORMAL)=TijdFearedVisualM.
GRAPH
  /HISTOGRAM(NORMAL)=TijdFearedVerbalM.

-------------------------------------------------------------------------------------------------------------------
ONE-SAMPLE T-TEST FOR DIFFERENCE IN DIFFICULTY FROM SCALE MIDPOINT
-------------------------------------------------------------------------------------------------------------------.
*Testing for outliers and normality. 
EXAMINE VARIABLES=Grand_mean_difficulty
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Normality met with both Shapiro-Wilk and visual inspection of Q-Q plot. 
*No outliers. 

*One-sample t-test to assess if mean difficulty is sig. different from 3,5 which is the mid-point of the scale. 
T-TEST
  /TESTVAL=3.5
  /MISSING=ANALYSIS
  /VARIABLES=Grand_mean_difficulty
  /ES DISPLAY(TRUE)
  /CRITERIA=CI(.95).
*M=3.83, SD=1.02, t(86)=3.00, p=.002, Cohen’s d=0.32. 

-----------------------------------------------------------------------------------------------
DIFFERENCE IN MEAN DIFFICULTY FOR POLARITY AND ELEMENT 
-----------------------------------------------------------------------------------------------.
*Two-way RM ANOVA with DV = DIFFICULTY, IVs = POLARITY and ELEMENT.
GLM IdealDifImagine IdealDifPicture IdealDVerbal FearedDifImagine FearedDifPicture FearedDVerbal
  /WSFACTOR=Polarity 2 Polynomial Element 3 Polynomial 
  /MEASURE=Difficulty  
  /METHOD=SSTYPE(3)
  /SAVE=SRESID
  /PLOT=PROFILE(Element*Polarity Polarity*Element) TYPE=BAR ERRORBAR=CI MEANREFERENCE=NO 
  /EMMEANS=TABLES(Polarity) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Element) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Polarity*Element) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Polarity Element Polarity*Element. 
*Let's check if there are outliers (+/- 3) first using the studentized residuals. Inspection of the values revealed that there are not outliers. 

*Now let's test the normality assumption. 
EXAMINE VARIABLES=SRE_1 SRE_2 SRE_3 SRE_4 SRE_5 SRE_6
  /PLOT BOXPLOT NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Visual inspection of boxplot: no outliers. 
*All cells of the design appear normally distributed based on visual inspection of the Q-Q plots. However, the Shapiro-Wilk tests are all significant (p < .001), indicating that the normality assumption is violated. 

There is no two-way interaction between polarity and element, F(2,85) = 0.23, p = .798, eta square = .005. Lets check if there are main effects. 
There is no significant main effect of polarity, F(1,86) = 1.08, p = .301, eta square = .012. 
There is a significant main effect of element, F(2,85) = 8.32, p < .001, eta square = .164. 
Pairwise comparisons reveal that searching for pictures summarizing the FS was experienced as more difficult than envisioning the future-selves, delta = -0.84, 95% CI [-1.38, -0.30].
There was no difference in experienced difficulty between the other elements.  

---------------------------------------------------------------
DIFFERENCE IN AFFECTIVE RESPONSE  
---------------------------------------------------------------.
*Assumption testing first. 
EXAMINE VARIABLES=Ideal_blij Ideal_bang Ideal_bedroefd Ideal_boos Feared_blj Feared_bang 
    Feared_bedroefd Feared_boos
  /PLOT BOXPLOT NPPLOT
  /COMPARE VARIABLES
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Multiple outliers (12) and some overlapping (5) between the cells of the design, namely P61, P17, P173, P191, P231. 
*The values are simply unusual but we have no good reason to exclude them from the analyses so we will run them with and without the 5 outliers above and leave the other ones in.
*All cells of the design appear normally distributed based on visual inspection of the Q-Q plots. However, the Shapiro-Wilk tests are all significant (all ps < .001), indicating that the normality assumption is violated.
*ANOVAs are quite robust though, especally with a large sample but again, let's run the RM ANOVAs with and without outliers to see their impact on the outcomes.

*Filter to exclude the 5 overlapping outliers: 
USE ALL.
COMPUTE filter_$=(Ideal_blij > 1 AND Feared_bang > 1).
VARIABLE LABELS filter_$ 'Ideal_blij > 1 AND Feared_bang > 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*Testing for linear relationship by producing scatterplots. 
GRAPH
  /SCATTERPLOT(BIVAR)=Feared_blj WITH Ideal_blij
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=Feared_bang WITH Ideal_bang
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=Feared_bedroefd WITH Ideal_bedroefd
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=Feared_boos WITH Ideal_boos
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=Ideal_bang WITH Ideal_blij
  /MISSING=LISTWISE.
  GRAPH
  /SCATTERPLOT(BIVAR)=Ideal_bedroefd WITH Ideal_blij
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=Ideal_boos WITH Ideal_blij
  /MISSING=LISTWISE.
*Nothing to report here. The relationship looks linear. 
*Did not produce them all but there is no reason to assume that the others would not look similar. 

*And now le'ts run correlations to see how correlated the variables are. 
*If correlations are low, then we cannot assume dependence of observations and cannot run a MANOVA. 
*If correlations are too high (0.9 or higher), then we would have multicollinearity which would be problematic.
CORRELATIONS
  /VARIABLES=Ideal_blij Ideal_bang Ideal_bedroefd Ideal_boos Feared_blj Feared_bang Feared_bedroefd 
    Feared_boos
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.
*The large majority of the correlations are significant but moderate so we can assume that there is no multicollinearity. 

*Let's now run the actual test. 
*One-way RM MANOVA with DVs = HAPPY, SAD, ANGRY, SCARED, IV = POLARITY. 
GLM Ideal_blij Feared_blj Ideal_boos Feared_boos Ideal_bang Feared_bang Ideal_bedroefd 
    Feared_bedroefd
  /WSFACTOR=Polarity 2 Polynomial 
  /MEASURE=Blij Boos Bang Bedroefd 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Polarity) COMPARE ADJ(BONFERRONI)
  /PRINT=DESCRIPTIVE ETASQ  
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Polarity.
*There is a statistically significant difference of EMOTION depending on POLARITY, for all 4 emotions, F(4,83) = 35.38, p < .001, eta square = .630. 
*The desired FS task elicited significantly more happiness than the undesired FS task, F(1,86) = 141.58, p < .001, eta square = .622.
*The undesired FS task elicited significantly more anger (F(1,86) = 61.14, p < .001, eta square = .416), sadness (F(1,86) = 66.31, p < .001, eta square = .435)
     and anxiety/fear (F(1,86) = 21.60, p < .001, eta square = .201).
*Above results are the same without the five outliers, still main effect of POLARITY, F(4,78) = 35.33, p < .001, eta square = .644. . 

*I only used the below command for the graph.
 GLM Ideal_blij Feared_blj Ideal_bang Feared_bang Ideal_bedroefd Feared_bedroefd Ideal_boos 
    Feared_boos
  /WSFACTOR=Emotion 4 Polynomial Polarity 2 Polynomial 
  /MEASURE=Experience 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Polarity*Emotion Emotion*Polarity) TYPE=BAR ERRORBAR=CI MEANREFERENCE=NO
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Emotion Polarity Emotion*Polarity.

----------------------------------------------------------
DIFFERENCES IN TIME SPENT ON TASK
----------------------------------------------------------.
*Two-way RM ANOVA with DV = time spent on task, IVs = POLARITY and SENSE. 
GLM TijdIdealVerbalM TijdIdealVisualM TijdFearedVerbalM TijdFearedVisualM
  /WSFACTOR=Polarity 2 Polynomial Modality 2 Polynomial 
  /MEASURE=Duration 
  /METHOD=SSTYPE(3)
  /SAVE=SRESID
  /PLOT=PROFILE(Polarity*Modality Modality*Polarity) TYPE=BAR ERRORBAR=CI MEANREFERENCE=NO
  /EMMEANS=TABLES(Polarity) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Modality) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Polarity*Modality) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Polarity Modality Polarity*Modality.
*Two extreme values, ppt 173 and 115 with studentized residuals of 5.99 each. This was expected from the histograms were created earlier on. Let's run the analyses with and without extreme values. They are likely to influence the results however. 
*Assumption of sphericity is automatically met because both factors only have two levels. 

*Now let's test the normality assumption.
EXAMINE VARIABLES=SRE_7 SRE_8 SRE_9 SRE_10
  /PLOT BOXPLOT NPPLOT
  /COMPARE VARIABLES
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Visual inspection shows that the assumption of normality is violated, as do the Shapiro-Wilk tests (p < .001). 
*Let's look at these outliers right away. Some participants (ppt 15, 115, 143 and 242) indeed took much longer to complete the tasks than the others. Let's re-run the above checks without them.

*Filter to exclude the 5 participants with extreme values. 
USE ALL.
COMPUTE filter_$=(TijdIdealVisualM < 110 AND TijdFearedVisualM < 100 AND TijdFearedVerbalM < 110 AND 
    TijdIdealVerbalM < 41).
VARIABLE LABELS filter_$ 'TijdIdealVisualM < 110 OR TijdFearedVisualM < 100 OR TijdFearedVerbalM '+
    '< 110 AND TijdIdealVerbalM < 41 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
*The normality assumption is still violated, but there now really are unusual values but which make sense. We will continue the analysis. 

Without outliers: 
There is no sig. interaction effect of polarity and modality, F(1,81) = 0.74, P = .391, eta square = .009. 
There is a sig. main effect of modality, F(1,81) = 5.18, p = .025, eta square = .060.
    Pairwise comparisons reveal that participants spent significantly more time on the verbal task, delta = -1.26, SE = .552, 95% CI [0.16,2.36], p = .025. 
There is also a sig. main effect of polarity, F(1,81) = 23.81, p < .001, eta square = .227. 
    Pairwise comparisons reveal that participants spent significantly more time on the continued smoker task, delta = 2.16, SE = .443, 95% CI [1.28, 3.04], p < .001. 

When we add the outliers to the analyses, nothing is significant anymore:
     Interaction polarity*modality, F(1,86) = 0.57, P = .452, eta square = .007.
     Main effect modality, F(1,86) = 2.46, P = .121, eta square = .028.
     Main effect polarity, F(1,86) = 2.57, P = .113, eta square = .029.




