﻿* Encoding: UTF-8.
SYNTAX FOR THE NEFFORT DATASET OF THE MULTI-STUDY PAPER. 

Outcomes: 
    1. Effort put into the future-self tasks
    
We look at descriptives and difference in outcomes depending on: 
    Behavior - smoking vs. PA (2 levels)
    Polarity - desired vs. undesired vs. both (3 levels)
    Sende - visual vs. verbal vs. both (3 levels)
    
---------------------
DATA SET-UP
--------------------.
*Transformed dataset from wide to long format using the command below. 
SORT CASES BY rand_id activity.
CASESTOVARS
  /ID=rand_id
  /INDEX=activity
  /GROUPBY=INDEX.

----------------------------------------------
RECODE CERTAIN VARIABLES
----------------------------------------------.
*Recoding education level in the same way as Nease. 
RECODE Highesteducationlevelcompleted ('Doctorate degree (PhD/other)'=7) ("Don't know / not "+
    "applicable"=8) ('Graduate degree (MA/MSc/MPhil/other)'=6) ('High school diploma/A-levels'=3) 
    ('No formal qualifications'=0) ('Secondary education (e.g. GED/GCSE)'=2) ('Technical/community '+
    'college'=4) ('Undergraduate degree (BA/BSc/other)'=5) ('Primary education'=1) INTO 
    Highest_education_level.
VARIABLE LABELS  Highest_education_level 'Highest education level in numbers'.
EXECUTE.
*Recode education level into ISCED categories. 
RECODE Highest_education_level (0=0) (1=1) (2=3) (3=3) (4=5) (5=6) (6=7) (7=8) INTO ISCED.
VARIABLE LABELS  ISCED 'ISCED'.
EXECUTE.
*Recode ISCED levels into SEP categories. 
RECODE ISCED (0=1) (1=1) (2=1) (3=2) (4=2) (5=3) (6=3) (7=3) (8=3) INTO SEP.
VARIABLE LABELS  SEP 'SEP'.
EXECUTE.
*Grand mean effort was computed in Excel before the data was transferred to SPSS. It was calculated by adding all effort scores from all sessions and dividing by the number of sessions in which a FSI was done (1,2 or 3). 
*The variables BEHAVIOR (smoking, PA or both), POLARITY (desired, undesired or both) and SENSE (verbal, visual or both) have been manually created by simply counting occurrences.  

---------------------------------------
DESCRIPTIVE STATISTICS
---------------------------------------.
DESCRIPTIVES VARIABLES=Age
  /STATISTICS=MEAN STDDEV MIN MAX.
FREQUENCIES VARIABLES=Gender SEP PIV_Smoking_Freq Vaping_Freq Weekly_Exercise
  /ORDER=ANALYSIS.
DESCRIPTIVES VARIABLES=effort.3 effort.17 effort.4 effort.18 effort.23 effort.19 effort.24 
    effort.20 Grand_mean_effort Numberofsessions
  /STATISTICS=MEAN STDDEV MIN MAX.
FREQUENCIES VARIABLES=Behavior Polarity Sense Numberofsessions
  /ORDER=ANALYSIS.

Descriptive Statistics					
	                        N	Minimum	Maximum	Mean	Std. Deviation
Desired Smoking Verbal	71	0	10	6,13	2,640
Undes Smoking Verbal	70	0	10	6,21	2,576
Desired PA Verbal	73	0	10	5,18	2,786
Undesired PA Verbal	75	0	10	5,89	2,613
Desired Smoking Visual	77	0	10	5,86	2,538
Undes Smoking Visual	75	0	10	5,55	2,683
Desired PA Visual	72	0	10	6,36	2,440
Undesired PA Visual	74	0	10	5,86	2,671
Grand_mean_effort_	447	,00	10,00	5,8512	2,56469
Number of sessions	447	1	3	1,31	,553
Valid N (listwise)	0				

------------------------------------------------------------------------------------
TESTING IF EFFORT DEPLOYED DIFFERS FROM AVERAGE
------------------------------------------------------------------------------------.
*Let's test for normal distribution and outliers first. 
EXAMINE VARIABLES=Grand_mean_effort
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Normally distributed and no outliers. 

*One-sample t-test to examine if mean effort score significantly differs from average/the mid-point of the scale. 
T-TEST
  /TESTVAL=5
  /MISSING=ANALYSIS
  /VARIABLES=Grand_mean_effort
  /ES DISPLAY(TRUE)
  /CRITERIA=CI(.95).
*It does, people put slightly more than average effort into the FS tasks, M = 5.85, SD = 2.56, Mdifference = 0.85, 95% CI [0.61, 1.09], t(446) = 7.02, p < .001, cohen's D = 0.33. 

*One sample t-test to examine if mean effort on FS tasks significantly differs from mean effort on the other 36 preparatory tasks. 
*Mean effort other 36 tasks = 5.74, SD = 2.757.
T-TEST
  /TESTVAL=5.74
  /MISSING=ANALYSIS
  /VARIABLES=Grand_mean_effort
  /ES DISPLAY(TRUE)
  /CRITERIA=CI(.95).
*N.s, people did not put more effort in the FS tasks than in the other 36 tasks, M = 5.85, SD = 2.56, Mdifference = 0.22, 95% CI [-0.13, 0.34], t(446) = 0.917, p = .360, Cohen's D = 0.043. 

---------------------
3-WAY ANOVA 
---------------------.
*Let's see if there is a difference in mean effort score based on BEHAVIOR, POLARITY and SENSE by conducting a 3-way ANOVA (not RM ANOVA this time because not everyone completed all FS tasks). 

*Let's check the assumptions. Outliers first. 
SORT CASES  BY Behavior Polarity Sense.
SPLIT FILE LAYERED BY Behavior Polarity Sense.

EXAMINE VARIABLES=Grand_mean_effort
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Several outliers with 1,5 boxplot length away (P1020, P838, P395, P662, P141, P950, P62 and P683) and one extreme value with 3 boxplot lengths away (P798).
*Upon inspection, these are nore unusual values. We will run the analysis with and without them. 
*Because I could not create a filter to exclude the outliers since not everyone has an effort score, I created a separate dataset without the 9 outliers, and ran the below analyses again using that dataset. 

*Assumption of normality. 
*Inspection of the Q-Q plots reveals that all cells of the design are normally distributed. The Shapiro-Wilt tests reveal a number of violations for: 
    - Smoking desired verbal
    - Smoking undesired verbal
    - PA desired visual
    - PA undesired verbal and visual
    - Both behaviors desired visual
    - Both behavior undesired both visual and verbal.
*This is probably because there are fewer participants in these cells, especially the ones with both behaviors.
*We'll carry on regardless since the overall sample size is large and interpret the findings with caution. 

*We need the actual test to check the assumption of homogeneity.  
SPLIT FILE OFF.
UNIANOVA Grand_mean_effort BY Behavior Polarity Sense
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PLOT=PROFILE(Sense*Polarity*Behavior) TYPE=BAR ERRORBAR=NO MEANREFERENCE=NO
  /EMMEANS=TABLES(Behavior*Polarity*Sense) COMPARE(Behavior) ADJ(BONFERRONI)
  /EMMEANS=TABLES(Behavior*Polarity*Sense) COMPARE(Polarity) ADJ(BONFERRONI)
  /EMMEANS=TABLES(Behavior*Polarity*Sense) COMPARE(Sense) ADJ(BONFERRONI)
  /PRINT DESCRIPTIVE HOMOGENEITY ETASQ
  /CRITERIA=ALPHA(.05)
  /DESIGN=Behavior Polarity Sense Behavior*Polarity Behavior*Sense Polarity*Sense Behavior*Polarity*Sense.
*Analyses with outliers (n = 447): 
    *Levene's test for equality of error variances is n.s. (p = .221) which means that the assumption of homogenety is met. 
    *Three-way interaction is n.s., F(4,424) = 1.04, p = .389, eta square = .010. 
    *No two-way interactions either:
    *Behavior*Polarity n.s., F(4,424) = 0.92, p = .451, eta square = .009
    *Behavior*Sense n.s., F(4,424) = 0.85, p = .492, eta square = .008
    *Polarity*Sense n.s., F(4,424) = 1.11, p = .353, eta square = .010
    
*Analyses without outliers (n = 438): 
    *No three-way interaction, F(4,415) = 8.11, p = .239, eta square = .013
    *No two-way interactions:
    *Behavior*Polarity n.s., F(4,415) = 6.27, p = .371, eta square = .010
    *Behavior*Sense n.s., F(4,415) = 7.48, p = .279, eta square = .013
    *Polarity*Sense n.s., F(4,415) = 1.38, p = .240, eta square = .013
    
---------------------------
ONE-WAY ANOVAs
---------------------------.
*Let's see if there are main effects by running separate one-way ANOVA's. 
*We need to apply Bonferonni correction for 3 tests, so 0.05 / 3 = .017.
*We start with BEHAVIOR.
ONEWAY Grand_mean_effort BY Behavior
  /ES=OVERALL
  /STATISTICS DESCRIPTIVES HOMOGENEITY WELCH 
  /PLOT MEANS
  /MISSING ANALYSIS
  /CRITERIA=CILEVEL(0.95)
  /POSTHOC=TUKEY LSD ALPHA(0.05).
*With outliers: no sig. main effect of behavior on effort, F(2,444) = 0.38, p = .688, eta square = .002. 
*Without outliers: n.s. as well, F(2,435) = 0.1914, p = .826, eta square = .001. 

*Now POLARITY.
ONEWAY Grand_mean_effort BY Polarity
  /ES=OVERALL
  /STATISTICS DESCRIPTIVES HOMOGENEITY WELCH 
  /PLOT MEANS
  /MISSING ANALYSIS
  /CRITERIA=CILEVEL(0.95)
  /POSTHOC=TUKEY LSD ALPHA(0.05).
*With outliers: no sig. main effect of polarity either, F(2,444) = 0.79, p = .453, eta square = .004. 
*Without outliers: n.s., F(2,435) = 0.947, p = .389, eta square = .004

*Lastly SENSE. 
ONEWAY Grand_mean_effort BY Sense
  /ES=OVERALL
  /STATISTICS DESCRIPTIVES HOMOGENEITY WELCH 
  /PLOT MEANS
  /MISSING ANALYSIS
  /CRITERIA=CILEVEL(0.95)
  /POSTHOC=TUKEY LSD ALPHA(0.05).
*With outliers: not sig. either, F(2,444) = 0.37, p = .690, eta square = .002.
*Without outliers: n.s., F(2,435) = 0.850, p = .428, eta square = .004. 

-------------
CHARTS
-------------.
*Mean effort by behavior. 
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=Behavior MEANCI(Grand_mean_effort, 
    95)[name="MEAN_Grand_mean_effort" LOW="MEAN_Grand_mean_effort_LOW" 
    HIGH="MEAN_Grand_mean_effort_HIGH"] MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  DATA: LOW=col(source(s), name("MEAN_Grand_mean_effort_LOW"))
  DATA: HIGH=col(source(s), name("MEAN_Grand_mean_effort_HIGH"))
  GUIDE: axis(dim(1), label("Behavior"))
  GUIDE: axis(dim(2), label("Mean Grand_mean_effort_"))
  GUIDE: text.title(label("Mean effort per behavior"))
  GUIDE: text.footnote(label("Error Bars: 95% CI"))
  SCALE: cat(dim(1), include("1", "2", "3"))
  SCALE: linear(dim(2), include(0), max(10))
  ELEMENT: interval(position(Behavior*MEAN_Grand_mean_effort), shape.interior(shape.square))
  ELEMENT: interval(position(region.spread.range(Behavior*(LOW+HIGH))), shape.interior(shape.ibeam))    
END GPL.

*Mean effort by polarity. 
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=Polarity MEANCI(Grand_mean_effort, 
    95)[name="MEAN_Grand_mean_effort" LOW="MEAN_Grand_mean_effort_LOW" 
    HIGH="MEAN_Grand_mean_effort_HIGH"] MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  DATA: LOW=col(source(s), name("MEAN_Grand_mean_effort_LOW"))
  DATA: HIGH=col(source(s), name("MEAN_Grand_mean_effort_HIGH"))
  GUIDE: axis(dim(1), label("Polarity"))
  GUIDE: axis(dim(2), delta(2), label("Mean Grand_mean_effort_"))
  GUIDE: text.title(label("Mean effort per polarity"))
  GUIDE: text.footnote(label("Error Bars: 95% CI"))
  SCALE: cat(dim(1), include("1", "2", "3"))
  SCALE: linear(dim(2), include(0), max(10))
  ELEMENT: interval(position(Polarity*MEAN_Grand_mean_effort), shape.interior(shape.square))
  ELEMENT: interval(position(region.spread.range(Polarity*(LOW+HIGH))), shape.interior(shape.ibeam))    
END GPL.

*Mean effort by modality. 
* Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=Sense MEANCI(Grand_mean_effort, 
    95)[name="MEAN_Grand_mean_effort" LOW="MEAN_Grand_mean_effort_LOW" 
    HIGH="MEAN_Grand_mean_effort_HIGH"] MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  DATA: LOW=col(source(s), name("MEAN_Grand_mean_effort_LOW"))
  DATA: HIGH=col(source(s), name("MEAN_Grand_mean_effort_HIGH"))
  GUIDE: axis(dim(1), label("Modality"))
  GUIDE: axis(dim(2), delta(2), label("Mean Grand_mean_effort_"))
  GUIDE: text.title(label("Mean effort per modality"))
  GUIDE: text.footnote(label("Error Bars: 95% CI"))
  SCALE: cat(dim(1), include("1", "2", "3"))
  SCALE: linear(dim(2), include(0), max(10))
  ELEMENT: interval(position(Sense*MEAN_Grand_mean_effort), shape.interior(shape.square))
  ELEMENT: interval(position(region.spread.range(Sense*(LOW+HIGH))), shape.interior(shape.ibeam))
END GPL.

------------------------------------
CONCLUSIONS EFFORT
------------------------------------.

With outliers: 
    There was no significant three- or two-way interactions between BEHAVIOR, POLARITY and SENSE. 
    There were also no main effects. 
    This means that effort deployed on the future-self tasks did not differ depending on BEHAVIOR, POLARIY or SENSE. 

Without outliers:
    Similar results
    





