﻿* Encoding: UTF-8.
SYNTAX FOR THE NEASE DATASET OF THE MULTI-STUDY PAPER. 

Outcomes: 
    1. Ancticipated ease/difficulty of completing a future-self task    
    2. Anticipated time to complete the future-self task
    
We look at descriptives, correlations and difference in outcomes depending on: 
        Behavior - smoking vs. PA 
        Polarity - desired vs. undesired
        Modality - verbal vs. visual task 
        
------------------------------------------------ 
*RECODE CERTAIN VARIABLES. 
------------------------------------------------.
RECODE PIV_Weekly_Exercise ('Never (0 – 60 minutes per week)'='1') ('Often (more than 150 '+
    'minutes per week)'='3') ('Sometimes (60 – 150 minutes per week)'='2').
EXECUTE.
RECODE PIV_Smoking_Freq ('1-6 times a week '='1') ('Not applicable'='0') ('2-5 times a day'='3') 
    ('6-10 times a day'='4') ('11-19 times a day'='5') ('More than 20 times a day'='6') ('Once a '+
    'day'='2').
EXECUTE.
RECODE Highest_education_level ('No formal qualifications'='0') ('Primary education'='1') 
    ('Secondary education (e.g. GED/GCSE)'='2') ('High school diploma/A-levels'='3') 
    ('Technical/community college'='4') ('Doctorate degree (PhD/other)'='7') ('Graduate degree '+
    '(MA/MSc/MPhil/other)'='6') ('Undergraduate degree (BA/BSc/other)'='5').
EXECUTE.
*Recode education level into ISCED categories. 
RECODE Highest_education_level (0=0) (1=1) (2=3) (3=3) (4=5) (5=6) (6=7) (7=8) INTO ISCED.
VARIABLE LABELS  ISCED 'ISCED'.
EXECUTE.
*Recode ISCED levels into SEP categories. 
RECODE ISCED (0=1) (1=1) (2=1) (3=2) (4=2) (5=3) (6=3) (7=3) (8=3) INTO SEP.
VARIABLE LABELS  SEP 'SEP'.
EXECUTE.
RECODE Gender ('Man (including Trans Male/Trans Man)'=1) ('Woman (including Trans Female/Trans '+
    'Woman)'=2) INTO Gender_recoded.
VARIABLE LABELS  Gender_recoded 'Gender recoded '.
EXECUTE.

---------------------------------------------------------
COMPUTE MEAN DIFFICULTY SCORES
---------------------------------------------------------.

*Compute mean difficulty estimate for behavior (smoking and PA), polarity (desired and undesired) and Modality (verbal and visual).
COMPUTE Mean_diffi_smoking=(D_Smoking_desired_verbal+D_Smoking_undesired_verbal+
    D_Smoking_desired_visual+D_Smoking_undesired_visual)/4.
VARIABLE LABELS  Mean_diffi_smoking 'Mean difficulty score smoking'.
EXECUTE.
COMPUTE Mean_diffi_PA=(D_PA_desired_verbal+D_PA_undesired_verbal+D_PA_desired_visual+
    D_PA_undesired_visual)/4.
VARIABLE LABELS  Mean_diffi_PA 'Mean difficulty score PA'.
EXECUTE.
COMPUTE Mean_diffi_desired=(D_Smoking_desired_verbal+D_Smoking_desired_visual+D_PA_desired_verbal+
    D_PA_desired_visual)/4.
VARIABLE LABELS  Mean_diffi_desired 'Mean difficulty score desired FS'.
EXECUTE.
COMPUTE Mean_diffi_undesired=(D_Smoking_undesired_verbal+D_Smoking_undesired_visual+
    D_PA_undesired_verbal+D_PA_undesired_visual)/4.
VARIABLE LABELS  Mean_diffi_undesired 'Mean difficulty score undesired FS'.
EXECUTE.
COMPUTE Mean_diffi_verbal=(D_Smoking_desired_verbal+D_Smoking_undesired_verbal+D_PA_desired_verbal+
    D_PA_undesired_verbal)/4.
VARIABLE LABELS  Mean_diffi_verbal 'Mean difficulty score verbal task'.
EXECUTE.
COMPUTE Mean_diffi_visual=(D_Smoking_desired_visual+D_Smoking_undesired_visual+D_PA_desired_visual+
    D_PA_undesired_visual)/4.
VARIABLE LABELS  Mean_diffi_visual 'Mean difficulty score visual task'.
EXECUTE.
*Compute grand mean difficulty. 
COMPUTE Diffi_grand_mean=(D_Smoking_desired_verbal+D_Smoking_undesired_verbal+
    D_Smoking_desired_visual+D_Smoking_undesired_visual+D_PA_desired_verbal+D_PA_undesired_verbal+
    D_PA_desired_visual+D_PA_undesired_visual)/8.
VARIABLE LABELS  Diffi_grand_mean 'Difficulty grand mean'.
EXECUTE.

-----------------------------------------------
COMPUTE MEAN TIME SCORES
-----------------------------------------------.
*Compute mean time estimates for behavior (smoking and PA), polarity (desired and undesired) and Modality (verbal and visual).
COMPUTE Mean_time_smoking=(Time_Smoking_desired_verbal+Time_Smoking_undes_verbal+
    Time_Smoking_desired_visual+Time_Smoking_undes_visual)/4.
VARIABLE LABELS  Mean_time_smoking 'Mean time smoking'.
EXECUTE.
COMPUTE Mean_time_PA=(Time_PA_desired_verbal+Time_PA_undes_verbal+Time_PA_desired_visual+
    Time_PA_undes_visual)/4.
VARIABLE LABELS  Mean_time_PA 'Mean time PA'.
EXECUTE.
COMPUTE Mean_time_desired=(Time_Smoking_desired_verbal+Time_Smoking_desired_visual+
    Time_PA_desired_verbal+Time_PA_desired_visual)/4.
VARIABLE LABELS  Mean_time_desired 'Mean time desired'.
EXECUTE.
COMPUTE Mean_time_undesired=(Time_Smoking_undes_verbal+Time_Smoking_undes_visual+
    Time_PA_undes_verbal+Time_PA_undes_visual)/4.
VARIABLE LABELS  Mean_time_undesired 'Mean time undesired'.
EXECUTE.
COMPUTE Mean_time_verbal=(Time_Smoking_desired_verbal+Time_Smoking_undes_verbal+
    Time_PA_desired_verbal+Time_PA_undes_verbal)/4.
VARIABLE LABELS  Mean_time_verbal 'Mean time verbal'.
EXECUTE.
COMPUTE Mean_time_visual=(Time_Smoking_desired_visual+Time_Smoking_undes_visual+
    Time_PA_desired_visual+Time_PA_undes_visual)/4.
VARIABLE LABELS  Mean_time_visual 'Mean time visual'.
EXECUTE.
*Compute grand mean estimated time. 
COMPUTE Time_grand_mean=(Time_Smoking_desired_verbal+Time_Smoking_undes_verbal+
    Time_Smoking_desired_visual+Time_Smoking_undes_visual+Time_PA_desired_verbal+Time_PA_undes_verbal+
    Time_PA_desired_visual+Time_PA_undes_visual)/8.
VARIABLE LABELS  Time_grand_mean 'Estimated time grand mean'.
EXECUTE.

------------------------------------------
*DESCRIPTIVE STATISTICS.
------------------------------------------.

DESCRIPTIVES VARIABLES=Diffi_grand_mean Time_grand_mean
  /STATISTICS=MEAN STDDEV MIN MAX.
  DESCRIPTIVES VARIABLES=D_Smoking_desired_verbal D_Smoking_undesired_verbal D_Smoking_desired_visual 
    D_Smoking_undesired_visual D_PA_desired_verbal D_PA_undesired_verbal D_PA_desired_visual 
    D_PA_undesired_visual
  /STATISTICS=MEAN STDDEV MIN MAX.
DESCRIPTIVES VARIABLES=Mean_diffi_smoking Mean_diffi_PA Mean_diffi_desired Mean_diffi_undesired 
    Mean_diffi_verbal Mean_diffi_visual
  /STATISTICS=MEAN STDDEV MIN MAX.
DESCRIPTIVES VARIABLES=Time_Smoking_desired_verbal Time_Smoking_desired_visual 
    Time_Smoking_undes_verbal Time_Smoking_undes_visual Time_PA_desired_verbal Time_PA_desired_visual 
    Time_PA_undes_verbal Time_PA_undes_visual
  /STATISTICS=MEAN STDDEV MIN MAX.
DESCRIPTIVES VARIABLES=Mean_time_smoking Mean_time_PA Mean_time_desired Mean_time_undesired 
    Mean_time_verbal Mean_time_visual
  /STATISTICS=MEAN STDDEV MIN MAX.
FREQUENCIES VARIABLES=Age SEP PIV_Weekly_Exercise PIV_Smoking_Freq Gender_recoded
  /ORDER=ANALYSIS.

Descriptive Statistics of difficulty/ease score -5 to 5 point scale. 0 means neutral. 					
	                         N	Minimum	Maximum	Mean	Std. Deviation
D_S_des_verb	144	-5	5	1,21	2,508
D_S_undes_verb	144	-4	5	,59	2,643
D_S_des_vis	144	-5	5	1,94	2,271
D_S_undes_vis	144	-5	5	,68	2,855
D_PA_des_verb	144	-4	5	1,75	2,224
D_PA_undes_verb	144	-4	5	,72	2,513
D_PA_des_vis	144	-4	5	1,81	2,250
D_PA_undes_vi	144	-5	5	,83	2,826
Valid N (listwise)	144	

Descriptive Statistics					
	                         N 	Minimum	Maximum	Mean	Std. Deviation
Mean diffi smoking	144	-5	5	1,11	1,907
Mean diffi PA	                        144	-3	5	1,28	1,748
Mean diffi desired FS	144	-3	5	1,68	1,783
Mean diffi undesired FS	144	-4	5	,71	2,149
Mean diffi verbal task	144	-4	5	1,07	1,928
Mean diffi visual task	144	-3	5	1,32	1,974
Valid N (listwise)	144				

Descriptive Statistics (after changing typo for P586)						
	N	Minimum	Maximum	Mean	Std. Deviation
T_S_des_verb	144	1	120	18,56	14,354
T_S_des_vis	144	1	60	12,28	9,232
T_S_undes_verb	144	3	240	17,93	20,688
T_S_undes_vis	144	1	60	12,19	8,918
T_PA_des_verb	144	3	90	16,27	11,456
T_PA_des_vis	144	1	120	13,72	15,182
T_PA_undes_verb	144	2	90	15,87	10,245
T_PA_undes_vis	144	1	60	11,42	8,199
Valid N (listwise)	144				

Descriptive Statistics (after changing typo for P586)						
	                         N	Minimum	Maximum	Mean	Std. Deviation
Mean time smoking	144	3,75	77,25	15,2396	9,32067
Mean time PA	144	2,75	453,75	17,4149	37,43244
Mean time desired	144	3,50	455,00	18,3003	37,66799
Mean time undesired	144	2,75	78,00	14,3542	8,68231
Mean time verbal	144	4,50	453,50	20,2535	37,98307
Mean time visual	144	1,00	45,00	12,4010	8,08165
Valid N (listwise)	144				

Descriptive Statistics					
	                        N	Minimum	Maximum	Mean	Std. Deviation
Age	                        144	20	69	37,55	11,757
Valid N (listwise)	144				

Weekly exercise (in minutes)					
		Frequency	Percent	Valid Percent     Cumulative Percent
Valid	Never              30	20,8	20,8	     20,8
	Sometimes    80	55,6	55,6	     76,4
	Often 	 34	23,6	23,6	     100,0
	Total	144	100,0	100,0	

Smoking frequency					
		Frequency	Percent	Valid Percent     Cumulative Percent
Valid	Once a day	5	3,5	3,5	     3,5
	2-5x a day	21	14,6	14,6	     18,1
	6-10x a day	48	33,3	33,3	     51,4
	11-19x a day	45	31,3	31,3	     82,6
	20+x a day	25	17,4	17,4	     100,0
	Total	144	100,0	100,0	

SEP					
		Frequency	Percent	Valid Percent     Cumulative Percent
Valid	Low	1	,7	,7	     ,7
	Intermediate	32	22,2	22,2	     22,9
	High	111	77,1	77,1	     100,0
	Total	144	100,0	100,0	

Gender recoded					
		Frequency	Percent	Valid Percent	Cumulative Percent
Valid	Man	72	50,0	50,0	50,0
	Woman	72	50,0	50,0	100,0
	Total	144	100,0	100,0	

-------------------------
*HISTOGRAMS
-------------------------
Normally distributed unless otherwise indicated.  

GRAPH
  /HISTOGRAM=D_Smoking_desired_verbal.
GRAPH
  /HISTOGRAM=D_Smoking_undesired_verbal.
GRAPH
  /HISTOGRAM=D_Smoking_desired_visual.
*Above is skewed to the right. 
GRAPH
  /HISTOGRAM=D_Smoking_undesired_visual.
GRAPH
  /HISTOGRAM=D_PA_desired_verbal.
GRAPH
  /HISTOGRAM=D_PA_undesired_verbal.
GRAPH
  /HISTOGRAM=D_PA_desired_visual.
*Above also slightly skewed to the right. 
GRAPH
  /HISTOGRAM=D_PA_undesired_visual.
GRAPH
  /HISTOGRAM=Age.
*Slightly skewed to the left. 
GRAPH
  /HISTOGRAM=SEP.
*Very skewed to the right (higher SEP). 
GRAPH
  /HISTOGRAM=Gender.
*Gender is normally distributed, perfect distribution of males and females. 
GRAPH
  /HISTOGRAM=PIV_Weekly_Exercise.
GRAPH
  /HISTOGRAM=PIV_Smoking_Freq.
GRAPH
  /HISTOGRAM=Time_Smoking_desired_verbal.
*Slearly skwed to the left. 
 GRAPH
  /HISTOGRAM=Time_Smoking_desired_visual.
*Also clearly skewed to the left. 
GRAPH
  /HISTOGRAM=Time_Smoking_undes_verbal.
*Very clearly skewed to the left. 
GRAPH
  /HISTOGRAM=Time_Smoking_undes_visual.
*Clearly skewed to the left. 
GRAPH
  /HISTOGRAM=Time_PA_desired_verbal.
*Very clearly skewed to the left. There seems to be an outlier. 
GRAPH
  /HISTOGRAM=Time_PA_desired_visual.
*Clearly skewed to the left. Several outliers?.
GRAPH
  /HISTOGRAM=Time_PA_undes_verbal.
*Skewed to the left. Outliers. 
GRAPH
  /HISTOGRAM=Time_PA_undes_visual.
*Skewed to the left. Outlier. 

------------------------------------------------------------
MEAN SCORE DIFFERENT FROM ZERO?
------------------------------------------------------------.
*One-sample t-test.
*Testing for outliers and that the distribution is normal. 
EXAMINE VARIABLES=Diffi_grand_mean
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*No outliers. 
*Difficulty scores are normally distributed as indicated by both visual inspection of Q-Q plots and the Shapiro-Wilk test (p = 571). 

*Actual t-test. 
T-TEST
  /TESTVAL=0
  /MISSING=ANALYSIS
  /VARIABLES=Diffi_grand_mean
  /ES DISPLAY(TRUE)
  /CRITERIA=CI(.95).
*Difficulty score significantly differs from zero, meaning that participants found the future-self tasks relatively easy. 
*M=1.19, SD =1.75, t(143)=8.20, p < .001, Cohen’s d=0.68. 

-----------------------------------------------------------------------------------------------------------------------
DIFFERENCES IN MEAN EASE SCORES FOR BEHAVIOR, POLARITY AND MODALITY
-----------------------------------------------------------------------------------------------------------------------.

*First we need to compute a difference score to test the assumption of normality. 
COMPUTE Delta_for_behavior=Mean_diffi_smoking-Mean_diffi_PA.
VARIABLE LABELS  Delta_for_behavior 'Delta difficulty score smoking vs PA'.
EXECUTE.
COMPUTE Delta_for_polarity=Mean_diffi_desired-Mean_diffi_undesired.
VARIABLE LABELS  Delta_for_polarity 'Delta difficulty score desired vs undesired'.
EXECUTE.
COMPUTE Delta_for_modality=Mean_diffi_verbal-Mean_diffi_visual.
VARIABLE LABELS  Delta_for_modality 'Delta difficulty score verbal vs visual'.
EXECUTE.

*Testing the assumption of normality.
*For Behavior.  
EXAMINE VARIABLES=Delta_for_behavior
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Normally distributed through visual inspection and Shaprio-Wilk test is n.s. (p = .025).
*Three outliers, but after inspecting their values, that don't appear extreme. We will keep them in the analysis.  

*For Polarity. 
EXAMINE VARIABLES=Delta_for_polarity
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Normally distributed through visual inspection but Shaprio-Wilk test is sig (p < .001). The test is quite robust though, so let's carry on anyways. 
*Eight outliers but after inspecting their values, that don't appear extreme. We will keep them in the analysis.  

*For Modality.
EXAMINE VARIABLES=Delta_for_modality
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Normally distributed through visual inspection but Shaprio-Wilk test is sig (p < .001). The test is quite robust though, so let's carry on anyways. 
*5 outliers, two extreme values. 

*Filter for removing extreme values for Delta_for_modality. Inspection of the values of the other four outliers did not reveal them to be extreme so we will keep them in the analysis.
USE ALL.
COMPUTE filter_$=(Delta_for_modality >= -6.49).
VARIABLE LABELS filter_$ 'Delta_for_modality >= -6.49 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

--------------------------------------------------------------------
3-WAY RM ANOVA - DIFFICULTY/EASE SCORE
--------------------------------------------------------------------.

*Checking assumption of normality first. 
EXAMINE VARIABLES=D_Smoking_desired_verbal D_Smoking_undesired_verbal D_Smoking_desired_visual 
    D_Smoking_undesired_visual D_PA_desired_verbal D_PA_undesired_verbal D_PA_desired_visual 
    D_PA_undesired_visual
  /PLOT BOXPLOT NPPLOT
  /COMPARE VARIABLES
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*See box plot at the bottom of output: three outliers (1.5 box-length) identified: participants P615 for S_Des_Vis, P295 and P478 for PA_Des_Vis. 
*The difficulty scores do not seem extreme compared to the rest though, so we will keep them in the analysis. 
*All cells of the design appear normally distributed based on visual inspection of the Q-Q plots. However, the Shapiro-Wilk tests are all significant (p < .001), indicating that the normality assumption is violated. 
*It does not help normality to remove the outliers from the dataset. ANOVA's are quite robust to violation of normality so we will proceed regardless. 

*Filter to remove the three outliers.
USE ALL.
COMPUTE filter_$=(D_Smoking_desired_visual > -5 AND D_PA_desired_visual > -4).
VARIABLE LABELS filter_$ 'D_Smoking_desired_visual > 0 AND D_PA_desired_visual > 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*3-way RM ANOVA. 
GLM D_Smoking_desired_verbal D_Smoking_desired_visual D_Smoking_undesired_verbal 
    D_Smoking_undesired_visual D_PA_desired_verbal D_PA_desired_visual D_PA_undesired_verbal 
    D_PA_undesired_visual
  /WSFACTOR=Behavior 2 Polynomial Polarity 2 Polynomial Modality 2 Polynomial 
  /MEASURE=Ease 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Behavior) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Polarity) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Modality) COMPARE ADJ(BONFERRONI)
  /PLOT=PROFILE(Modality*Polarity*Behavior Behavior*Polarity*Modality) TYPE=BAR ERRORBAR=CI MEANREFERENCE=NO YAXIS=AUTO
  /PLOT=PROFILE(Modality*Polarity*Behavior Behavior*Polarity*Modality) TYPE=LINE ERRORBAR=CI MEANREFERENCE=NO YAXIS=AUTO
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Behavior Polarity Modality Behavior*Polarity Behavior*Modality Polarity*Modality Behavior*Polarity*Modality.
*Assumption of sphericity is automatically met because only two levels per factor. 
*In the analysis with outliers, 3-way interaction is significant F(1,143) = 4.261, p = 0.41, eta square = .029.  

There is a 3-way interaction between behavior, polarity and Modality F(1,143) = 4.261, p = 0.41. 
Now lets test simple two-way interactions for all combinations of the IVs: polarity*Modality, polarity*behavior and behavior*Modality.

---------------------------------------------------------------------
Testing for simple 2-way interactions for ease
---------------------------------------------------------------------.

*We start with Polarity*Modality (2-way RM ANOVA with Smoking as constant).
*Bonferronni correction for multiple testing (0.05 alpha / 6 tests = p of 0.008).
GLM D_Smoking_desired_verbal D_Smoking_desired_visual D_Smoking_undesired_verbal D_Smoking_undesired_visual
  /WSFACTOR=Polarity 2 Polynomial Modality 2 Polynomial 
  /MEASURE=Ease 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Polarity) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Modality) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Polarity*Modality)
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.008)
  /WSDESIGN=Polarity Modality Polarity*Modality.
*With outliers: 
*There was no significant two-way interaction effect between Polarity and Modality for smoking after Bonferroni correction, F(1,143) = 6.166, p = .014, eta square = .041.
*Significant main effect of polarity, F(1,143) = 24.16, p < .001, eta square = .145. This means that the desired smoking-related FS task was anticipated to be easier than the undesired smoking-related FS task. 
*Comparable results without outliers. 

*And now the 2-way RM ANOVA for Polarity*Modality (PA as constant). 
GLM D_PA_desired_verbal D_PA_desired_visual D_PA_undesired_verbal D_PA_undesired_visual
  /WSFACTOR=Polarity 2 Polynomial Modality 2 Polynomial 
  /MEASURE=Ease 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Polarity) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Modality) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Polarity*Modality)
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.008)
  /WSDESIGN=Polarity Modality Polarity*Modality.
*WIth outliers:
*No two-way interaction effect for PA, F(1,143) = 0.031, p = .860, eta square = .000. 
*Main effect of Polarity, F(1,143) = 33.90, p < .001, eta square = .192. This means that the desired PA-related FS task was anticipated to be easier than the undesired PA-related FS task.
*Comparable results without outliers. 

*And now whether there is a two-way interaction between Polarity*Behavior (verbal as constant). 
GLM D_Smoking_desired_verbal D_Smoking_undesired_verbal D_PA_desired_verbal D_PA_undesired_verbal
  /WSFACTOR=Behavior 2 Polynomial Polarity 2 Polynomial 
  /MEASURE=Ease 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.008)
  /WSDESIGN=Behavior Polarity Behavior*Polarity.
*With outliers: 
*No two-way interaction effect here, F(1,143) = 2.162, p = .143, eta square = .015.
*Main effect of Polarity, F(1,143) = 23.93, p < .001, eta square = .143. This means that the verbal desired future-self task was anticipated to be easier than the verbal undesired future-self task. 
*Comparable results without outliers.

*And now two-way interaction between Polarity*Behavior (with visual as constant).
GLM D_Smoking_desired_visual D_Smoking_undesired_visual D_PA_desired_visual D_PA_undesired_visual
  /WSFACTOR=Behavior 2 Polynomial Polarity 2 Polynomial 
  /MEASURE=Ease 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.008)
  /WSDESIGN=Behavior Polarity Behavior*Polarity.
*With outliers:
*Also n.s, F(1,143) = 1.481, p = .226, eta square = .010. 
*Main effect of Polarity, F(1,143) = 30.85, eta square = .177. This means that the visual desired future-self task was anticipated to be easier than the visual undesired future-self task.
*Comparable results without outliers.

*What about Behavior*Modality (with desired as constant). 
GLM D_Smoking_desired_verbal D_Smoking_desired_visual D_PA_desired_verbal D_PA_desired_visual
  /WSFACTOR=Behavior 2 Polynomial Modality 2 Polynomial 
  /MEASURE=Ease 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.008)
  /WSDESIGN=Behavior Modality Behavior*Modality.
*With outliers:
*Not significant, F(1,143) = 6.206, p = .014, eta square = .042.
*No sig. main effects, p's > .017.
*Comparable results without outliers.

*And what about Behavior*Modality (with undesired as constant). 
GLM D_Smoking_undesired_verbal D_Smoking_undesired_visual D_PA_undesired_verbal D_PA_undesired_visual
  /WSFACTOR=Behavior 2 Polynomial Modality 2 Polynomial 
  /MEASURE=Ease 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.008)
  /WSDESIGN=Behavior Modality Behavior*Modality.
*With outliers:
*n.s., F(1,143) = 0.006, p = .940, eta square = .000. 
*No sig. main effects, p's > .304.
*Comparable results without outliers.

To summarize: No significant two-way interactions.
Main effect of Polarity for smoking, PA, verbal and visual FS tasks.  

---------------------------------------------------------
CONCLUSIONS ANALYSES WITH EASE
---------------------------------------------------------.
Three-way interaction - 3-way RM ANOVA > Significant 3-way interaction between behavior, polarity and Modality, F(1,143) = 4.261, p = 0.41.
        Ease was estimated to be different for smoking than for PA depending on whether one was asked to envision their desired or undesired future-self, and whether they were asked to describe this FS verbally or visually.

Simple two-way interactions - 2-way RM ANOVAs > No significant simple two-way interactions after applying Bonferronni correction (0.05 alpha / 6 tests = p of .008).
        
Main effects - read from the 2-way RM ANOVAs > Main effects of Polarity for smoking, PA, verbal and visual FS tasks after Bonferronni correction (0.05 alpha / 6 tests = p of .008). 
        The desired smoking-related FS task was anticipated to be easier than the undesired smoking-related FS task. 
        The desired PA-related FS task was anticipated to be easier than the undesired PA-related FS task.
        The verbal desired future-self task was anticipated to be easier than the verbal undesired future-self task.
        The visual desired future-self task was anticipated to be easier than the visual undesired future-self task.

--------------------------------------------------------------------------------------------------------------------------
DIFFERENCES IN MEAN ESTIMATED TIME FOR BEHAVIOR, POLARITY and MODALITY
--------------------------------------------------------------------------------------------------------------------------.

*First we need to compute a difference score to test the assumption of normality.
COMPUTE Delta_time_behavior=Mean_time_smoking-Mean_time_PA.
VARIABLE LABELS  Delta_time_behavior 'Delta time smoking minus PA'.
EXECUTE.
COMPUTE Delta_time_polarity=Mean_time_desired-Mean_time_undesired.
VARIABLE LABELS  Delta_time_polarity 'Delta time desired minus undesired'.
EXECUTE.
COMPUTE Delta_time_modality=Mean_time_verbal-Mean_time_visual.
VARIABLE LABELS  Delta_time_modality 'Delta time verbal minus visual'.
EXECUTE.

*Testing the assumption of normality.
*For Behavior.  
EXAMINE VARIABLES=Delta_time_behavior
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Not normally distributed through visual inspection and Shaprio-Wilk test is sig. (p < .001).
*Nine outliers. After inspecting their values, two (P586 and P171) appear extreme. 
*Based on other responses, value of P586 for PA desired verbal seems to be a typo (1800 instead of 18), therefore I've changed 1800 to 18. Let's re-run the normality test with the new value for P586.  
 
*Filter for excluding P171 (extreme value) for behavior. 
USE ALL.
COMPUTE filter_$=(Delta_time_behavior < 52).
VARIABLE LABELS filter_$ 'Delta_time_behavior < 52 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.  
*Still eight extreme values (P390, P478, P1207, P336, P171, P405, P389 and P373). 
*After inspection, values are higher than others, but don't seem improbable. We don't have a good reason to exclude anyone from the analyses though so we will keep them all in the analyses.
*Also, this test is quire robust to deviations from normality so we will carry on.

*For Polarity. 
EXAMINE VARIABLES=Delta_time_polarity
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Not very normally distributed through visual inspection and Shaprio-Wilk test is sig (p < .001). The test is quite robust though, so let's carry on anyways. 
*Six extreme values, overlapping with behavior (P390, P478, P171, P389, P1207 and P373). 
*Let's run the test with and without them because these six individuals do seem to distort the results. 

*For Modality.
EXAMINE VARIABLES=Delta_time_modality
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Not very normally distributed through visual inspection but Shaprio-Wilk test is sig (p < .001). 
*Seven extreme values, some overlap again with behavior and polarity but also some new ones (P404, P171, P373, P1041, P336, P478 and P390). 

*Filter for excluding the ten extreme outliers for behavior, polarity and modality. 
USE ALL.
COMPUTE filter_$=(Delta_time_behavior > -14 AND Delta_time_behavior < 12 AND Delta_time_polarity > 
    -16 AND Delta_time_polarity < 29 AND Delta_time_modality > -14 AND Delta_time_modality < 30).
VARIABLE LABELS filter_$ 'Delta_time_behavior > -14 AND Delta_time_behavior < 12 AND '+
    'Delta_time_polarity > -16 AND Delta_time_polarity < 29 AND Delta_time_modality > -14 AND '+
    'Delta_time_modality < 30 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
*When retesting without these ten, assumption of normality seems met, at least visually. Shapiro-Wilk is still sig. for all three delta scores (p < .004). 
*We will run the t-tests with and without the 10 individuals, but we don't have a good reason to exclude them from the analyses. 
*Also, this test is quire robust to deviations from normality so we will carry on.

-----------------------------------------------------
3-WAY RM ANOVA - ESTIMATED TIME
-----------------------------------------------------.

*First, let's test the assumption of normality for this test, especially because we had quite a few outliers. 
EXAMINE VARIABLES=Time_Smoking_desired_verbal Time_Smoking_undes_verbal Time_Smoking_desired_visual 
    Time_Smoking_undes_visual Time_PA_desired_verbal Time_PA_undes_verbal Time_PA_desired_visual 
    Time_PA_undes_visual
  /PLOT BOXPLOT NPPLOT
  /COMPARE VARIABLES
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Visually, the distributions are not very normal but all the Shapiro-Wilk tests are sig. (all p's < .001). Same ten outliers as identified before + 3 new extreme values (P209, P912 and P1021).
*ANOVAs are quite robust though, especally with a large sample but let's run the RM ANOVAs with and without them to see their impact on the outcomes. 

*Filter to exclude ALL 13 extreme values from ANOVA. 
USE ALL.
COMPUTE filter_$=(Delta_time_behavior > -14 AND Delta_time_behavior < 12 AND Delta_time_polarity > 
    -16 AND Delta_time_polarity < 29 AND Delta_time_modality > -14 AND Delta_time_modality < 31 AND 
    Time_Smoking_desired_verbal < 59 AND Time_Smoking_desired_visual < 59 AND Time_PA_desired_verbal < 
    59).
VARIABLE LABELS filter_$ 'Delta_time_behavior > -14 AND Delta_time_behavior < 12 AND '+
    'Delta_time_polarity > -16 AND Delta_time_polarity < 29 AND Delta_time_modality > -14 AND '+
    'Delta_time_modality < 31 AND Time_Smoking_desired_verbal < 59 AND Time_Smoking_desired_visual < '+
    '59 ... (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
*All Q-Q plots look normally distributed without outliers. We will still run the RM ANOVAs with and without them to see their impact on the outcomes.

*3-way RM ANOVA.
GLM Time_Smoking_desired_verbal Time_Smoking_desired_visual Time_Smoking_undes_verbal 
    Time_Smoking_undes_visual Time_PA_desired_verbal Time_PA_desired_visual Time_PA_undes_verbal 
    Time_PA_undes_visual
  /WSFACTOR=Behavior 2 Polynomial Polarity 2 Polynomial Modality 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Modality*Polarity*Behavior Modality*Behavior*Polarity Polarity*Modality*Behavior) TYPE=LINE ERRORBAR=CI MEANREFERENCE=NO YAXIS=AUTO
  /PLOT=PROFILE(Modality*Polarity*Behavior Modality*Behavior*Polarity Polarity*Modality*Behavior) TYPE=BAR ERRORBAR=CI MEANREFERENCE=NO YAXIS=AUTO
  /EMMEANS=TABLES(Polarity*Modality*Behavior) 
  /EMMEANS=TABLES(Modality*Behavior*Polarity)
  /EMMEANS=TABLES(Modality) COMPARE ADJ(BONFERRONI)
  /EMMEANS=TABLES(Behavior) COMPARE ADJ(BONFERRONI)
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Behavior Polarity Modality Behavior*Polarity Behavior*Modality Polarity*Modality 
    Behavior*Polarity*Modality.
*Assumption of sphericity is automatically met because only two levels per factor. 
*Alpha is .05. 
*In the analysis with outliers, three-way interaction is n.s., F(1,143) = 1.21, p = .273, eta square = .008. 
*Sign. two-way interaction between Behavior and Modality, F(1,143) = 4.58, p = .034, eta square = .031, so let's test for simple main effects of Behavior and Modality.

*In the analysis without outliers, three-way interaction is also n.s. F(1,130) = 3.54, p = .062, eta square = .027.
*No 2-way interactions are significant. 
*Main effects of Behavior, F(1,130) = 11.30, p = .001, eta square = .080, and Modality are significant, F(1,130) = 78.66, p < .001, eta square = .377. 
*Pairwise comparisons reveal that participants anticipated that the smoking-related future-self activity would take significantly more time to complete than the PA-related one (∆ = 0.91, 95% CI [0.38,1.45])
*And also that it would take more time to describe the future-selves verbally than visually (∆ = 4.17, 95% CI [3.24,5.11]).  

-------------------------------------------------------------------------------
Testing main simple effects for analyses with 13 outliers
-------------------------------------------------------------------------------.

*Bonferroni correction (0.05 alpha / 8 tests = .006).

*Let's investigate the simple main effects based on the sig. two-way interaction BEHAVIOR*MODALITY (8 tests). 
*BEHAVIOR (Modality is verbal, polarity is desired).
GLM Time_Smoking_desired_verbal Time_PA_desired_verbal
  /WSFACTOR=Behavior 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Behavior) COMPARE ADJ(BONFERRONI)
  /PRINT=DESCRIPTIVE ETASQ
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Behavior.
*N.s., F(1,143) = 7.48, p = .007, eta square = .050.
*Meaning: describing the smoking-related desired future-self verbally is anticipated to take more time than describing the PA-related desired future-self.
*By the way, without outliers, this simple main effect becomes sig. / even stronger: F(1,130) = 8.10, p = .005, eta square = 059.   

*BEHAVIOR (Modality is visual, polarity is desired).
GLM Time_Smoking_desired_visual Time_PA_desired_visual
  /WSFACTOR=Behavior 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Behavior) COMPARE ADJ(BONFERRONI)
  /CRITERIA=ALPHA(.05)
  /PRINT=DESCRIPTIVE ETASQ
  /WSDESIGN=Behavior.
*N.s., F(1,143) = 1.44, p = .232, eta square = .010. 
*Without outliers also n.s., F(1,130) = 0.47, p = .495, eta square = .004.

*BEHAVIOR (Modality is verbal, polarity is undesired). 
GLM Time_Smoking_undes_verbal Time_PA_undes_verbal
  /WSFACTOR=Behavior 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Behavior) COMPARE ADJ(BONFERRONI)
  /CRITERIA=ALPHA(.05)
  /PRINT=DESCRIPTIVE ETASQ
  /WSDESIGN=Behavior.
*N.s., F(1,143) = 1.60, p = .209, eta square = .011. 
*Without outliers still n.s., F(1,130) = 2.74, p = .100, eta square = .021.

*BEHAVIOR (Modality is visual, polarity is desired).
GLM Time_Smoking_undes_visual Time_PA_undes_visual
  /WSFACTOR=Behavior 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(Behavior) COMPARE ADJ(BONFERRONI)
  /CRITERIA=ALPHA(.05)
  /PRINT=DESCRIPTIVE ETASQ
  /WSDESIGN=Behavior.
*N.s., F(1,143) = 1.46, p = .229, eta square = .010.
*Without outliers still n.s., F(1,130) = 3.68, p = .057, eta square = .028.

*Now simple main effects of Modality for every level of BEHAVIOR and POLARITY.
*MODALITY (behavior is smoking, polarity is desired).
GLM Time_Smoking_desired_verbal Time_Smoking_desired_visual
  /WSFACTOR=Modality 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /PRINT=DESCRIPTIVE ETASQ
  /WSDESIGN=Modality.
*Sig., F(1,143) = 26.33, p < .001, eta square = .156. 
*Meaning: describing the smoking-related desired future-self with words anticipated to take more time than describing it with images. 
*Without outliers still sig., F(1,130) = 43.34, p < .001, eta square = .250. 

*MODALITY (behavior is PA, polarity is desired). 
GLM Time_PA_desired_verbal Time_PA_desired_visual
  /WSFACTOR=Modality 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /PRINT=DESCRIPTIVE ETASQ
  /WSDESIGN=Modality.
*N.s., F(1,143) = 2.88, p = .092, eta square = .020. 
*Without outliers becomes highly sig., F(1,130) = 22.11, p < .001, eta square = .145. 
*Meaning: describing the PA-related desired future-self with words anticipated to take more time than describing it with images.

*MODALITY (behavior is smoking, polarity is undesired). 
GLM Time_Smoking_undes_verbal Time_Smoking_undes_visual
  /WSFACTOR=Modality 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /PRINT=DESCRIPTIVE ETASQ
  /WSDESIGN=Modality.
*Sig., F(1,143) = 11.42, p < .001, eta square = .074. 
*Meaning: describing the smoking-related undesired future-self with words anticipated to take more time than describing it with images.
*Without outliers still sig., F(1,130) = 32.57, p < .001, eta square = .200. 

*MODALITY (behavior is PA, polarity is undesired). 
GLM Time_PA_undes_verbal Time_PA_undes_visual
  /WSFACTOR=Modality 2 Polynomial 
  /MEASURE=Time 
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /PRINT=DESCRIPTIVE ETASQ
  /WSDESIGN=Modality.
*Sig., F(1,143) = 23.23, p < .001, eta square = .140.
*Meaning: describing the PA-related undesired future-self with words anticipated to take more time than describing it with images.
*Without outliers still sig., F(1,130) = 48.27, p < .001, eta square = .271.

--------------------------------------------------------
CONCLUSIONS ANALYSES WITH TIME
--------------------------------------------------------.
Leading analyses are the ones without outliers because RM ANOVA is quite sensitive to outliers. 

Results without outliers: 
Three-way interaction - 3-way RM ANOVA > n.s. three-way interaction F(1,130) = 3.54, p = .062, eta square = .027. No 2-way interactions 

Main effects - 3 way RM ANOVA + pairwise comparisons 
         Sig. for Behavior, F(1,130) = 11.30, p = .001, eta square = .080, and modality, F(1,130) = 78.66, p < .001, eta square = .377. 
        Pairwise comparisons reveal that participants anticipated that the smoking-related future-self activity would take significantly more time to complete than the PA-related one.
        And also that it would take more time to describe the future-selves verbally than visually.  

Results with outliers: 
Three-way interaction - 3-way RM ANOVA > Non-significant 3-way interaction between behavior, polarity and Modality, F(1,143) = 1.21, p = .273 but significant two-way interaction between behavior and Modality, F(1,143) = 4.58, p = .034. 
        
Simple main effects - 1-way RM ANOVA > Significant simple main effects of BEHAVIOR for smoking desired, Modality for smoking desired, smoking undesired and PA undesired regardless of Bonferroni correction (alpha 0.05 / 8 tests =  .006).
        Describing the smoking-related desired future-self verbally is anticipated to take more time than describing the PA-related desired future-self.
        Describing the smoking-related desired future-self with words anticipated to take more time than describing it with images.
        Describing the smoking-related undesired future-self with words anticipated to take more time than describing it with images.
        Significant simple main effect of Modality for PA desired when outliers are removed but not when they are kept in the analysis. 
        When removing ten outliers, describing the PA-related desired future-self with words anticipated to take more time than describing it with images.

-------------------------------------------------------------------------------------------------------------------------
DIFFICULTY DIFFERENT FROM ZERO FOR ALL ACTIVITIES FROM ORIGINAL STUDY
-------------------------------------------------------------------------------------------------------------------------.
*Syntax to transform the data from the .csv file. 
PRESERVE.
SET DECIMAL DOT.

GET DATA  /TYPE=TXT
  /FILE="C:\Users\penforniskm\surfdrive\Studies\Study 3 - "+
    "Mokjes_Future-self\Study\Nease\Data\Quantitative\Original data Nele\Data Nease full.csv"
  /ENCODING='UTF8'
  /DELIMITERS=","
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /LEADINGSPACES IGNORE=YES
  /DATATYPEMIN PERCENTAGE=95.0
  /VARIABLES=
  rand_id AUTO
  Difficulty_Response AUTO
  @1_Ease_1 AUTO
  @1_Time_1 AUTO
  @1_Time_Long AUTO
  @2_Ease_1 AUTO
  @2_Time_1 AUTO
  @2_Time_Long AUTO
  @3_Ease_1 AUTO
  @3_Time_1 AUTO
  @3_Time_Long AUTO
  @4_Ease_1 AUTO
  @4_Time_1 AUTO
  @4_Time_Long AUTO
  @5_Ease_1 AUTO
  @5_Time_1 AUTO
  @5_Time_Long AUTO
  @6_Ease_1 AUTO
  @6_Time_1 AUTO
  @6_Time_Long AUTO
  @7_Ease_1 AUTO
  @7_Time_1 AUTO
  @7_Time_Long AUTO
  @8_Ease_1 AUTO
  @8_Time_1 AUTO
  @8_Time_Long AUTO
  @9_Ease_1 AUTO
  @9_Time_1 AUTO
  @9_Time_Long AUTO
  @10_Ease_1 AUTO
  @10_Time_1 AUTO
  @10_Time_Long AUTO
  @11_Ease_1 AUTO
  @11_Time_1 AUTO
  @11_Time_Long AUTO
  @12_Ease_1 AUTO
  @12_Time_1 AUTO
  @12_Time_Long AUTO
  @13_Ease_1 AUTO
  @13_Time_1 AUTO
  @13_Time_Long AUTO
  @14_Ease_1 AUTO
  @14_Time_1 AUTO
  @14_Time_Long AUTO
  @15_Ease_1 AUTO
  @15_Time_1 AUTO
  @15_Time_Long AUTO
  @16_Ease_1 AUTO
  @16_Time_1 AUTO
  @16_Time_Long AUTO
  @17_Ease_1 AUTO
  @17_Time_1 AUTO
  @17_Time_Long AUTO
  @18_Ease_1 AUTO
  @18_Time_1 AUTO
  @18_Time_Long AUTO
  @19_Ease_1 AUTO
  @19_Time_1 AUTO
  @19_Time_Long AUTO
  @20_Ease_1 AUTO
  @20_Time_1 AUTO
  @20_Time_Long AUTO
  @21_Ease_1 AUTO
  @21_Time_1 AUTO
  @21_Time_Long AUTO
  @22_Ease_1 AUTO
  @22_Time_1 AUTO
  @22_Time_Long AUTO
  @23_Ease_1 AUTO
  @23_Time_1 AUTO
  @23_Time_Long AUTO
  @24_Ease_1 AUTO
  @24_Time_1 AUTO
  @24_Time_Long AUTO
  @25_Ease_1 AUTO
  @25_Time_1 AUTO
  @25_Time_Long AUTO
  @26_Ease_1 AUTO
  @26_Time_1 AUTO
  @26_Time_Long AUTO
  @27_Ease_1 AUTO
  @27_Time_1 AUTO
  @27_Time_Long AUTO
  @28_Ease_1 AUTO
  @28_Time_1 AUTO
  @28_Time_Long AUTO
  @29_Ease_1 AUTO
  @29_Time_1 AUTO
  @29_Time_Long AUTO
  @30_Ease_1 AUTO
  @30_Time_1 AUTO
  @30_Time_Long AUTO
  @31_Ease_1 AUTO
  @31_Time_1 AUTO
  @31_Time_Long AUTO
  @32_Ease_1 AUTO
  @32_Time_1 AUTO
  @32_Time_Long AUTO
  @33_Ease_1 AUTO
  @33_Time_1 AUTO
  @33_Time_Long AUTO
  @34_Ease_1 AUTO
  @34_Time_1 AUTO
  @34_Time_Long AUTO
  @35_Ease_1 AUTO
  @35_Time_1 AUTO
  @35_Time_Long AUTO
  @36_Ease_1 AUTO
  @36_Time_1 AUTO
  @36_Time_Long AUTO
  @37_Ease_1 AUTO
  @37_Time_1 AUTO
  @37_Time_Long AUTO
  @38_Ease_1 AUTO
  @38_Time_1 AUTO
  @38_Time_Long AUTO
  @39_Ease_1 AUTO
  @39_Time_1 AUTO
  @39_Time_Long AUTO
  @40_Ease_1 AUTO
  @40_Time_1 AUTO
  @40_Time_Long AUTO
  @41_Ease_1 AUTO
  @41_Time_1 AUTO
  @41_Time_Long AUTO
  @42_Ease_1 AUTO
  @42_Time_1 AUTO
  @42_Time_Long AUTO
  @43_Ease_1 AUTO
  @43_Time_1 AUTO
  @43_Time_Long AUTO
  @44_Ease_1 AUTO
  @44_Time_1 AUTO
  @44_Time_Long AUTO
  /MAP.
RESTORE.
CACHE.
EXECUTE.
DATASET NAME DataSet4 WINDOW=FRONT.

*One-sample t-tests to test whether the mean difficulty scores differ from zero for the other 36 activities (44 in total - 8 about future-selves).
*The 8 about future-selves are numbers 5, 6, 19, 20, 21, 22, 25 and 26. 

*Compute grand mean anticipated difficulty for these 36 activities. 
COMPUTE Grand_mean_36_tasks=(@1_Ease_1+@2_Ease_1+@3_Ease_1+@4_Ease_1+@7_Ease_1+@8_Ease_1+@9_Ease_1+
    @10_Ease_1+@11_Ease_1+@12_Ease_1+@13_Ease_1+@14_Ease_1+@15_Ease_1+@16_Ease_1+@17_Ease_1+@18_Ease_1+
    @23_Ease_1+@24_Ease_1+@25_Ease_1+@26_Ease_1+@27_Ease_1+@28_Ease_1+@29_Ease_1+@30_Ease_1+@31_Ease_1+
    @32_Ease_1+@33_Ease_1+@34_Ease_1+@35_Ease_1+@36_Ease_1+@37_Ease_1+@38_Ease_1+@39_Ease_1+@40_Ease_1+
    @41_Ease_1+@42_Ease_1+@43_Ease_1+@44_Ease_1)/36.
VARIABLE LABELS  Grand_mean_36_tasks 'Grand mean diffi 36 tasks'.
EXECUTE.

*Check assumptions.
EXAMINE VARIABLES=Grand_mean_36_tasks
  /PLOT BOXPLOT NPPLOT
  /COMPARE GROUPS
  /STATISTICS NONE
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Normally distributed and no outliers.  

*Now the t-tests. 
*Bonferronni corrected alpha = 0.05/36 = .0014. 
T-TEST
  /TESTVAL=0
  /MISSING=ANALYSIS
  /VARIABLES=Grand_mean_36_tasks
  /ES DISPLAY(TRUE)
  /CRITERIA=CI(.95).
*Significantly different from zero towards easy, M = 2.01, SD = 1.48, 95% CI [0.12, 1.48], t = 16.33, p < .001, Cohen's d = 1.36.
