# -*- coding: utf-8 -*-
"""
Let's compute the mean effort per activity and the overall grand mean.

Required files:
    - effort_data_all_activities_human_inv_multistudypaper.csv
    
Output files:
    - compute_mean_effort_per_activity_output.txt
    

Author: Nele Albers
Date: May 2024
"""

import pandas as pd


NUM_ACTIVITIES = 37  # Number of activities
OUTPUTFILE_NAME = "compute_mean_effort_per_activity_output.txt"


if __name__ == "__main__":

    # Load data
    df = pd.read_csv("effort_data_all_activities_human_inv_multistudypaper.csv")


    # Compute the mean effort per activity
    with open(OUTPUTFILE_NAME, "w") as f:
        f.write("Effort per Activity:\n")

    for a in range(NUM_ACTIVITIES):
        df_a = df[df["activity"] == a]
        print("Activity " + str(a) + ": M =", round(df_a["effort"].mean(), 2), " SD =",
              round(df_a["effort"].std(), 2), "(N =", len(df_a), ")")
        with open(OUTPUTFILE_NAME, "a") as f:
            f.write("Activity " + str(a) + ": M =" + str(round(df_a["effort"].mean(), 2)) + " SD = " + str(round(df_a["effort"].std(), 2)) + " (N = " + str(len(df_a)) + ")\n")


    # Compute the mean effort for all activities together
    print("\nAll activities: M =", round(df["effort"].mean(), 2), " SD =",
          round(df["effort"].std(), 2), "(N =", len(df), ")")
    with open(OUTPUTFILE_NAME, "a") as f:
        f.write("\nAll activities: M =" + str(round(df["effort"].mean(), 2)) + " SD = " + str(round(df["effort"].std(), 2)) + " (N = " + str(len(df)) + ")\n")
